/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {CoordinateMapResponse} from "./coordinateMapResponse";

export class AreaResponse {
    public areaId: string;

    public isTracked: boolean;

    public maps: CoordinateMapResponse[];

    /**
     * Creates a AreaResponse.
     *
     * @param {string} areaId
     * @param {boolean} isTracked
     * @param {CoordinateMapResponse} maps
     */
    constructor(areaId: string, isTracked: boolean, maps: CoordinateMapResponse[]) {
        this.areaId = areaId;
        this.isTracked = isTracked;
        this.maps = maps;
    }
}
